# (NEW!) Metadata Attributes Retrieve all metadata attributes available to the requesting user. The user submitting the request must have administrator privilege to Metadata Management. Average Response Time: 492ms Endpoint: GET /metadata/attributes Version: 1.5 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `Content-Type` (string, required) Enum: "application/json" ## Response 200 fields (application/json): - `id` (string) Unique ID of the attribute (same as metadataDefinitionId) Example: "8a481dd2-24c1-4c54-a84f-0aded1e985e7" - `name` (string) The name given to the Metadata Attribute Example: "Program Name" - `searchField` (string) The value assigned by Tenovos and used for search indexes. This value never changes, even if attribute name changes. Use this value to perform attribute specific searches, or to uniquely identify attributes in Requests, etc. Example: "program_name" - `type` (string) Identifies the type of Metadata Attribute used Enum: "text", "textarea", "date", "dropdown" ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)